<!doctype html>

<html lang="es">

    <head>
        <meta charset="utf-8">
        <meta
        name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link
        rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

        <!-- Font Awesome -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@5.15.4/css/fontawesome.min.css" integrity="sha384-jLKHWM3JRmfMU0A5x5AkjWkw/EYfGUAGagvnfryNV3F9VqM98XiIH7VBGVoxVSc7" crossorigin="anonymous">

        <style>
            
            .bg-red    { background-color: lightsalmon;        }
            .bg-green  { background-color: lightgreen;         }
            .bg-blue   { background-color: lightskyblue;       }
            .bg-purple { background-color: rgb(204, 116, 204); }

            .test-size      { min-height: 100px; }
            .half-test-size { min-height: 50px;  }

        </style>

        <title>XD</title>
    </head>

    <body>
        <div class="container">

            
            <!-- First row -->
            <div class="row">
                <div class="col-12 bg-blue test-size">a</div>
            </div>


            <!-- Second row -->
            <div class="row">

                <!-- Second row, first column -->
                <div class="col-4">
                    <div class="row">
                        <div class="col bg-red test-size">a</div>
                    </div>
                </div>

                <!-- Second row, second column -->
                <div class="col-8">
                    
                    <!-- First row -->
                    <div class="row half-test-size">
                        <div class="col bg-green">a</div>
                        <div class="col bg-red">a</div>
                        <div class="col bg-green">a</div>
                    </div>

                    <!-- Second row -->
                    <div class="row">
                        <div class="col bg-purple half-test-size">a</div>
                    </div>
                </div>

            </div>


            <!-- Third row -->
            <div class="row">

                <!-- First column -->
                <div class="col-6">
                    <div class="row">
                        <div class="col bg-blue test-size">a</div>
                    </div>
                </div>

                <!-- Second column -->
                <div class="col-6">
                    <div class="row">
                        <div class="col bg-red half-test-size">a</div>
                    </div>
                    <div class="row">
                        <div class="col bg-green half-test-size">a</div>
                    </div>
                </div>
            </div>

        </div>

        <br>

        <!-- jQuery and Bootstrap Bundle (includes Popper) -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
    </body>

</html>
